GET /repos/{owner}/{repo}/rulesets

github.com:github-rest-api

Summary: Get all repository rulesets
Operation ID: repos/get-repo-rulesets
Auth: bearer_token
Description

Get all the rulesets for a repository.

Parameters (6)

includes_parents (boolean, query, optional, default: True)

Include rulesets configured at higher levels that apply to this repository

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

page (integer, query, optional, default: 1)

The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

targets (string, query, optional)

A comma-separated list of rule targets to filter by. If provided, only rulesets that apply to the specified targets will be returned. For example, `branch,tag,push`.

No probe data for this endpoint yet.